/*========== min ==========*/
@media (min-width: 768px) {
	.visible-mobile {
		display: none !important;
	}

	.a-sm-left {
		text-align: left !important;
	}
	.a-sm-center {
		text-align: center !important;
	}
	.a-sm-right {
		text-align: right !important;
	}

	.container {
		width: 768px;
	}
	.container.xs {
		width: 475px;
	}

	/*========== Form ==========*/
	.fields .field.half,
	.fields .field.half3 {
		width: 50%;
	}

	/*========== Panel ==========*/
	#lounge-login fieldset {
		width: 30.158729%;
		margin-left: auto;
		margin-right: auto;
	}

	/*========== Main ==========*/
	/* Slider */
	.auto-slideshow .swiper-wrapper {
		transition-timing-function: linear;
	}

	.no-touchevents .slideshow .gallery .image:not(:hover),
	.no-touchevents .slideshow .gallery .image:not(:hover) img,
	.no-touchevents .slideshow .gallery .image:not(:hover):after {
		transition-delay: 0.1s;
	}

	.no-touchevents .slideshow .swiper-wrapper {
		-webkit-animation: slideshow 25s linear infinite;
		animation: slideshow 25s linear infinite;
	}
	.no-touchevents .slideshow .swiper-wrapper:hover {
		-webkit-animation-play-state: paused;
		animation-play-state: paused;
	}
	@-webkit-keyframes slideshow {
		0% {
			left: 0;
		}
		100% {
			left: -100%;
		}
	}
	@keyframes slideshow {
		0% {
			left: 0;
		}
		100% {
			left: -100%;
		}
	}

	/* Journal */
	.journal-group .item {
		flex-basis: 33.3333333%;
	}
	.journal-group.related .item {
		flex-basis: 50%;
	}

	/* 2024 */
	#footer.style2024 .container-fluid .directory .webby {
		display: none;
	}
}

@media (min-width: 992px) {
	.visible-device {
		display: none !important;
	}

	.container {
		width: 1150px;
	}
	.container.md {
		width: 970px;
	}

	/*========== Form ==========*/
	.fields .field.half3 {
		width: 33.3333333%;
	}

	.form-layout {
		display: flex;
	}
	.form-col:not(:last-child) {
		margin-bottom: 0;
	}
	.form-sidebar {
		width: 30.158729%;
	}
	.form-main {
		width: calc(100% - 30.158729%);
		padding-left: 100px;
	}

	/*========== Panel ==========*/
	.booking-form .summary {
		display: flex;
		justify-content: space-between;
	}
	.booking-form .summary .col:not(:last-child) {
		margin-bottom: 0;
		padding-right: 20px;
	}

	/*========== Main ==========*/
	.sc-inner.x2 {
		padding-top: 160px;
		padding-bottom: 160px;
	}

	/* Hero */
	.hero-card {
		display: flex;
		align-items: flex-end;
		direction: rtl;
		unicode-bidi: bidi-override;
	}
	.hero-card .image {
		width: 68.8888888%;
	}
	.hero-card .meta {
		max-width: 350px;
		padding: 0 40px 30px;
		text-align: left;
		direction: ltr;
		unicode-bidi: bidi-override;
		text-align: left;
	}

	/* Courses */
	.courses {
		display: flex;
		align-items: flex-end;
	}
	.courses .image {
		width: 68.8888888%;
	}
	.courses .meta {
		max-width: 350px;
		padding: 0 40px;
		text-align: left;
	}

	.courses-group .item:not(:last-child) {
		margin-bottom: 80px;
	}
	.courses-group .item:nth-child(even) {
		direction: rtl;
		unicode-bidi: bidi-override;
	}
	.courses-group .item .meta {
		direction: ltr;
		unicode-bidi: bidi-override;
		text-align: left;
	}

	/* Contact */
	.contact-row .col {
		flex: 1;
	}
	.contact-row .col-map {
		width: 58.095238%;
		flex: none;
	}
	.contact-row .col-info > * {
		padding-right: 30px;
	}
	.contact-row .entry-content > *:not(:last-child) {
		margin-bottom: 50px;
	}

	/* 2024 */
	#footer.style2024 .directory-group {
		grid-template-columns: repeat(5, 1fr);
	}

	/* 2026 */
	.course-cards .card-marquee .card-marquee__items {
		display: inline-grid;
		grid-auto-flow: column;
		grid-auto-columns: -webkit-max-content;
		grid-auto-columns: max-content;
		vertical-align: top;
	}
	.course-cards .card-marquee .card-marquee__item {
		width: calc(min(31.25vw, 400px) + (var(--gap) * 2));
	}
	.course-cards .card-marquee .card-marquee__item:not(:last-child),
	.course-cards .card-marquee .marquee__wrapper.mq-wrap .marquee__element {
		border-right: 1px solid #d1d1d1;
	}
}

@media (min-width: 1025px) {
	/*========== Header ==========*/
	.header-nav-ctrl,
	.header-brand .cart-ctrl {
		display: none !important;
	}

	.header-nav {
		display: block !important;
		opacity: 1 !important;
		visibility: visible !important;
	}
	.header-nav .menu > li {
		display: flex;
		align-items: center;
		height: 40px;
	}

	.header-nav .lang {
		height: 40px;
		display: inline-flex;
		align-items: center;
		vertical-align: top;
		position: fixed;
		top: 12px;
		left: 50px;
		z-index: 1;
	}

	.follow {
		position: absolute;
		left: 0;
		top: 0;
		z-index: 1;
	}
	#header:not(.style2021) .follow li:not(:last-child) {
		margin-right: 8px;
	}
	.follow a,
	.follow .line,
	.lang {
		font-size: 13px;
		color: #d1d1d1;
	}

	.header-system {
		position: absolute;
		z-index: 2;
		right: 50px;
		bottom: 0;
	}
	.system li {
		text-align: right;
	}
	.system a {
		font-size: 13px;
		color: #d1d1d1;
	}

	.header-nav .main-menu {
		width: -webkit-max-content;
		width: -moz-max-content;
		width: max-content;
		max-width: 100%;
		margin-left: auto;
		margin-right: auto;
		position: relative;
	}
	.header-nav .main-menu > li {
		padding: 0 min(1.7361111111vw, 25px);
	}
	.header-nav .main-menu > li:not(:last-child) {
		margin-right: 0;
	}
	.header-nav .main-menu > li.has-dropdown {
		background-image: linear-gradient(120deg, #595b3c 0%, #595b3c 100%);
		background-repeat: no-repeat;
		background-size: 100% 0;
		background-position: 0 100%;
		background-origin: border-box;
	}
	.menu-dropdown-enabled .header-nav .main-menu > li.has-dropdown:hover {
		background-size: 100% 1px;
	}
	.menu-dropdown-enabled .header-nav .main-menu > li.has-dropdown:hover > a {
		background-image: none !important;
	}
	.header-nav .menu-dropdown {
		width: calc(100% + 100px);
		padding: 40px 50px;
		position: absolute;
		z-index: 100;
		left: -50px;
		top: 100%;
		background: #fff;
		border: 1px solid #ebebeb;
		display: none;
	}
	.header-nav .menu-dropdown-back {
		display: none !important;
	}
	.header-nav .menu-dropdown-inner {
		display: grid;
		grid-gap: 50px;
		grid-template-columns: 1fr 160px;
	}
	.header-nav .menu-dropdown .categories-preview .object-fit:before {
		padding-bottom: 100%;
	}
	.header-nav .menu-dropdown .categories-menu {
		text-align: left;
	}
	.header-nav .menu-dropdown .categories-menu li:not(:last-child) {
		margin: 0;
	}
	.header-nav .menu-dropdown .categories-menu > ul {
		display: grid;
		grid-gap: 40px 0;
		grid-template-columns: repeat(3, 1fr);
	}
	.header-nav .menu-dropdown .categories-menu > ul > li {
		padding-right: 20px;
	}
	.header-nav .menu-dropdown .categories-menu > ul > li > ul:not(:first-child) {
		margin-top: 20px;
	}
	.header-nav .menu-dropdown .categories-menu > ul > li > ul li:not(:last-child) {
		margin-bottom: 5px;
	}
	.header-nav .menu-dropdown .categories-menu > ul > li > ul a:not(.active):not(:hover) {
		color: #d1d1d1;
	}

	.header-nav .menu-dropdown[data-dropdown="courses"] .menu-dropdown-inner {
		grid-template-columns: 1fr 262px;
	}
	.header-nav .menu-dropdown[data-dropdown="courses"] .categories-menu > ul {
		grid-template-columns: 100%;
		grid-gap: 20px 0;
	}
	.header-nav .menu-dropdown[data-dropdown="courses"] .categories-preview .object-fit:before {
		padding-bottom: 66.7938931298%;
	}
}

@media (min-width: 1200px) {
	/*========== Main ==========*/
	/* Hero */
	.hero-group.slider .item {
		height: calc(100vh - 121px);
		height: calc((var(--vh, 1vh) * 100) - 121px);
	}
	.hero-group.slider .hero {
		width: 100%;
		height: 100%;
	}
}

/*========== min and max ==========*/
@media (min-width: 1025px) and (max-width: 1199px) {
	/*========== Header ==========*/
	.menu li:not(:last-child) {
		margin-right: min(1.6680567139vw, 20px);
	}

	.header-nav .main-menu > li {
		padding: 0 min(0.834028357vw, 10px);
	}
	.header-nav .menu-dropdown {
		padding: 40px;
	}
	.header-nav .menu-dropdown-inner {
		grid-gap: 20px;
	}
}
@media (min-width: 768px) and (max-width: 991px) {
	/*========== Form ==========*/
	#lounge-login fieldset {
		min-width: 329px;
	}
}

/*========== max ==========*/
@media (max-width: 1279px) {
	/*========== Form ==========*/
	.clone-fields .ctrls {
		left: auto;
		right: 0;
		bottom: 0;
		padding-left: 0;
		line-height: 0;
		font-size: 0;
	}
	.clone-fields .ctrl {
		display: inline-block;
		vertical-align: top;
	}
	.clone-fields .ctrl:not(:last-child) {
		margin-bottom: 0;
		margin-right: 30px;
	}
}

@media (max-width: 1024px) {
	/*========== Header ==========*/
	.logo {
		height: 50px;
	}
	.menu {
		flex-direction: column;
	}

	#header {
		border-bottom: 0;
	}

	.header-brand {
		align-items: center;
		padding: 15px 0;
	}

	.header-nav-enabled {
		overflow: hidden !important;
	}
	.header-nav,
	.header-nav .menu-dropdown {
		display: none;
		width: 100%;
		height: calc(100vh - 122px);
		height: calc((var(--vh, 1vh) * 100) - 122px);
		position: fixed;
		left: 0;
		top: 122px;
		z-index: 100;
		background-color: #fff;
		line-height: inherit;
		overflow: hidden;
	}
	.header-nav .wrap {
		height: 100%;
		padding-right: 25px;
		margin-right: -25px;
		overflow: hidden;
		overflow-y: auto;
		-webkit-overflow-scrolling: touch;
	}
	.header-nav .inner {
		position: relative;
		min-height: 100%;
		padding: 50px 0;
		display: flex;
		flex-flow: column;
		justify-content: center;
	}
	.header-nav .menu:not(:last-child) {
		margin-bottom: 50px;
	}
	.header-nav .menu li {
		display: block;
	}
	.header-nav .menu li:not(:last-child) {
		margin-right: 0;
		margin-bottom: 20px;
	}

	.header-system {
		margin-left: -50px;
		margin-right: -50px;
		border-top: 1px solid rgba(89, 91, 60, 0.4);
		border-bottom: 1px solid rgba(89, 91, 60, 0.4);
	}
	.system {
		flex-direction: row;
	}
	.system li {
		flex: 1;
	}
	.system li:not(:last-child) {
		margin-right: 0;
	}
	.system li:not(:last-child) {
		border-right: 1px solid rgba(89, 91, 60, 0.4);
	}
	.system a {
		display: block;
		background-image: none;
	}
	.system .cart-ctrl {
		display: none !important;
	}

	.header-nav .menu-dropdown .categories-menu li:not(:last-child) {
		margin: 0;
	}
	.header-nav .menu-dropdown .categories-menu a:not(.active):not(:hover) {
		color: #bdb7ab;
	}
	.header-nav .menu-dropdown .categories-menu > ul > li:not(:last-child) {
		margin-bottom: 5px;
	}

	.header-nav .menu-dropdown[data-dropdown="shop"] .categories-menu > ul > li:not(:last-child) {
		margin-bottom: 30px;
	}
	.header-nav .menu-dropdown[data-dropdown="shop"] .categories-menu > ul > li > ul:not(:first-child) {
		margin-top: 5px;
	}
	.header-nav .menu-dropdown[data-dropdown="shop"] .categories-menu > ul > li > ul li:not(:last-child) {
		margin-bottom: 5px;
	}
	.header-nav .menu-dropdown[data-dropdown="shop"] .categories-menu > ul > li > ul a:not(.active):not(:hover) {
		color: #bdb7ab;
	}

	.header-nav .menu-dropdown-wrap {
		height: calc(100vh - 122px - 40px);
		height: calc((var(--vh, 1vh) * 100) - 122px - 40px);
		padding-right: 25px;
		margin-right: -25px;
		overflow: hidden;
		overflow-y: auto;
		-webkit-overflow-scrolling: touch;
	}

	.style2021 .header-nav,
	.style2021 .header-nav .menu-dropdown,
	.style2021 .header-nav .menu-dropdown-back {
		background-color: #f5efec;
	}
	.style2021 .header-nav .main-menu > li > a,
	.style2021 .header-nav .menu-dropdown[data-dropdown="shop"] .categories-menu > ul > li > a {
		display: inline-block;
		vertical-align: top;
		font-family: freight-big-pro, "Bai Jamjuree", serif;
		font-weight: 400;
		font-style: normal;
		font-size: 20px;
		line-height: 1.1;
		text-transform: uppercase;
		color: #797256;
	}
	.style2021 .header-nav .main-menu > li:not(:last-child):after {
		content: "";
		display: block;
		width: 2px;
		height: 2px;
		margin: 20px auto 0;
		border-radius: 50%;
		background: #797256;
	}
	.style2021 .header-nav .main-menu > li.has-dropdown > a {
		position: relative;
	}
	.style2021 .header-nav .main-menu > li.has-dropdown > a:after {
		font-family: "iconfont";
		font-size: 9px;
		content: "\e90d";
		position: absolute;
		left: calc(100% + 8px);
		top: 50%;
		transform: translateY(-50%);
		margin: 1px 0 0;
	}
	.style2021 .header-nav .menu-dropdown-back {
		background-image: none !important;
		position: relative;
		z-index: 1;
		display: flex;
		align-items: center;
		height: 40px;
		padding: 0 30px;
		border-bottom: 1px solid rgba(89, 91, 60, 0.4);
	}
	.style2021 .header-nav .menu-dropdown-back .ic {
		font-size: 9px;
		line-height: 1;
		margin: 1px 0 0;
	}
	.style2021 .header-nav .menu-dropdown-inner {
		text-align: left;
		padding: 30px;
	}
	.style2021 .header-nav .follow {
		flex-direction: column-reverse;
	}
	.style2021 .header-nav .follow li:not(:last-child) {
		margin-bottom: 0;
		margin-top: 20px;
	}

	/*========== Panel ==========*/
	.panel-close {
		min-width: 0;
		/*width: calc(50vw + 1px);*/
		width: 100vw;
		text-align: center;
		font-size: 12px;
	}

	.panel-lounge-system .panel-close {
		right: auto;
		left: 0;
	}

	/*========== Main ==========*/
	#main {
		min-height: calc(100vh - 402px);
		min-height: calc((var(--vh, 1vh) * 100) - 402px);
	}
}

@media (max-width: 991px) {
	.hidden-device {
		display: none !important;
	}

	.a-left-device {
		text-align: left !important;
	}
	.a-right-device {
		text-align: right !important;
	}
	.a-center-device {
		text-align: center !important;
	}

	.padding-0-device {
		padding: 0 !important;
	}
	.padding-top-0-device {
		padding-top: 0 !important;
	}
	.padding-bottom-0-device {
		padding-bottom: 0 !important;
	}

	.margin-0-device {
		margin: 0 !important;
	}
	.margin-top-0-device {
		margin-top: 0 !important;
	}
	.margin-bottom-0-device {
		margin-bottom: 0 !important;
	}

	.container,
	.container-fluid {
		padding-left: 30px;
		padding-right: 30px;
	}
	.container.fullwidth-device {
		padding-left: 0;
		padding-right: 0;
		width: 100%;
	}

	/*========== Header ==========*/
	.header-system {
		margin-left: -30px;
		margin-right: -30px;
	}

	/*========== Panel ==========*/
	.clone-fields:not(:first-child) {
		padding-top: 50px;
	}
	.clone-fields:not(:first-child):before,
	.clone-fields:not(:first-child):after {
		top: 25px;
	}

	.booking-form .summary .col:not(:last-child) {
		margin-bottom: 10px;
	}
	.booking-form .summary:not(:first-child) {
		padding-top: 25px;
	}
	.booking-form .member-infos .info {
		width: 50%;
	}

	/*========== Popup ==========*/
	button.mfp-close:before,
	.modal-dismiss:before {
		font-size: 20px;
	}
	button.mfp-close,
	button.mfp-close:active,
	.modal-dismiss {
		right: 30px;
		top: 30px;
	}
	.popup-style-gallery .mfp-arrow-left {
		left: 30px;
	}
	.popup-style-gallery .mfp-arrow-right {
		right: 30px;
	}

	/*========== Flex ==========*/
	.d-column-device {
		flex-direction: column !important;
	}

	/* 2026 */
	.course-cards {
		--gap-x: 30px;
		--gap-stack: 15px;
		width: 100vw;
		max-width: 100vw;
		margin-left: calc(50% - 50vw);
		margin-right: calc(50% - 50vw);
	}
	.course-cards .card {
		text-align: center;
	}
	.course-cards .card__desc {
		display: none !important;
	}
	.course-cards .card-marquee .card-marquee__items {
		display: grid;
		grid-template-columns: repeat(2, 1fr);
		grid-row-gap: var(--gap-y);
	}
	.course-cards .card-marquee .card-marquee__item {
		width: 100%;
	}
	.course-cards .card-marquee .card-marquee__item:nth-child(odd):not(:last-child)::after {
		content: "";
		display: block;
		width: 1px;
		height: 100%;
		background-color: #d1d1d1;
		position: absolute;
		right: 0;
		top: 0;
	}
}

@media (max-width: 767px) {
	.hidden-mobile {
		display: none !important;
	}

	.a-left-mobile {
		text-align: left !important;
	}
	.a-right-mobile {
		text-align: right !important;
	}
	.a-center-mobile {
		text-align: center !important;
	}

	.padding-0-mobile {
		padding: 0 !important;
	}
	.padding-top-0-mobile {
		padding-top: 0 !important;
	}
	.padding-bottom-0-mobile {
		padding-bottom: 0 !important;
	}

	.margin-0-mobile {
		margin: 0 !important;
	}
	.margin-top-0-mobile {
		margin-top: 0 !important;
	}
	.margin-bottom-0-mobile {
		margin-bottom: 0 !important;
	}

	/*========== Form ==========*/
	.fields {
		margin-left: -10px;
		margin-right: -10px;
	}
	.field {
		padding-left: 10px;
		padding-right: 10px;
	}

	.form legend .fix {
		font-size: 10px;
	}

	.ui-datepicker {
		width: calc(100vw - 60px);
	}

	/*========== Header ==========*/
	#header .container-fluid {
		padding-left: 15px;
		padding-right: 15px;
	}

	.header-system {
		margin-left: -15px;
		margin-right: -15px;
	}

	/*========== Panel ==========*/
	.panel-inner {
		padding: 50px 0;
	}

	.panel .form,
	.panel .step-form .step {
		min-height: calc(100vh - 292px);
		min-height: calc((var(--vh, 1vh) * 100) - 292px);
	}

	/*========== Footer ==========*/
	.directory-group {
		flex-wrap: wrap;
		justify-content: space-between;
	}
	.directory {
		width: auto;
		max-width: none;
	}
	.directory:nth-child(2n) {
		text-align: right;
	}
	.directory:last-child {
		width: 100%;
	}

	/*========== Flex ==========*/
	.d-column-mobile {
		flex-direction: column !important;
	}

	/*========== Main ==========*/
	#main {
		min-height: calc(100vh - 516px);
		min-height: calc((var(--vh, 1vh) * 100) - 516px);
	}

	/* Hero */
	.hero-group.slider .item {
		width: 100%;
	}

	.hero-group:not(.slider) .hero .image {
		height: 0px;
		padding-bottom: 107.5555555%;
	}
	.hero-group:not(.slider) .hero .image img {
		display: block;
		margin: 0 auto;
		width: 100%;
		height: 100%;
		-o-object-fit: cover;
		object-fit: cover;
		position: absolute;
		top: 0;
		left: 0;
	}

	/* Tile */
	.tile-group .item {
		flex-basis: 100%;
		height: 0;
		padding-top: 107.5555555%;
	}
	.tile {
		display: flex;
		width: 100%;
		height: 100%;
		position: absolute;
		top: 0;
		left: 0;
	}

	/* Gallery */
	.gallery-group {
		margin: 0 -10px;
	}
	.gallery-group .item {
		width: 69.3333333%;
		padding: 0 10px;
	}

	/* Article */
	.art-media {
		margin-left: -30px;
		margin-right: -30px;
	}

	/* 2024 */
	#footer.style2024 .container-fluid > .webby {
		display: none;
	}
	#footer.style2024 .directory-group {
		grid-template-columns: 1fr auto;
	}
	#footer.style2024 .directory-group > .c1 {
		grid-column: 1;
		text-align: left !important;
	}
	#footer.style2024 .directory .meta {
		font-size: inherit;
	}
	#footer.style2024 .directory .meta address {
		font-size: 10px;
	}

	.contact-row .col-map .tab-group > * {
		width: 100%;
	}
	.contact-row .col-map .tab-group > .map-tab-content:not(:first-child) {
		margin-top: 0;
	}

	/* 2026 */
	.course-cards {
		--gap-x: 15px;
	}
}

@media (max-width: 640px) {
	/*========== Panel ==========*/
	.message-box .inner {
		padding-left: 20px;
		padding-right: 20px;
	}
}

@media (max-width: 575px) {
	.art-heading {
		font-size: 38px;
	}
}

/* Added 231009 */
.courses-article .contact-action .contact-col {
	display: grid;
	grid-template-columns: repeat(2, 50%);
	grid-gap: 5px;
}
.contact-popup .mfp-image-holder .mfp-close {
	top: 50px;
	right: 5px;
}
.contact-popup button.mfp-close:before,
.contact-popup .modal-dismiss:before {
	font-size: 20px;
}
.contact-col .btn .ic-name {
	width: 100%;
}
@media (max-width: 575px) {
	.contact-col .btn {
		padding: 0 20px;
		font-size: 14px;
	}
	.contact-col .btn.fix-width {
		min-width: unset;
	}
}
